# Package org.apache.sysds.resource.enumeration

Class Summary
EnumerationUtils
EnumerationUtils.ConfigurationPoint: Simple data structure to hold cluster configurations
EnumerationUtils.InstanceSearchSpace: Data structure representing a projected search space for VM instances as node's memory mapped to further maps with the node's numbers of cores for the given memory mapped to a list of unique object of type `CloudInstance` which have this corresponding characteristics (memory and cores).
EnumerationUtils.SolutionPoint: Data structure to hold all data related to cost estimation
Enumerator
Enumerator.Builder
GridBasedEnumerator
InterestBasedEnumerator
PruneBasedEnumerator

Enum Summary
Enumerator.EnumerationStrategy
Enumerator.OptimizationStrategy